%define major 2
%define libname %mklibname gringotts %{major}
%define develname %mklibname gringotts -d
%define staticdevelname %mklibname gringotts -d -s

Name:           libgringotts
Version:        1.2.1
Release:        %mkrel 8
Summary:        A data encapsulation and encryption library
Group:          System/Libraries
License:        GPLv2+
Url:            http://gringotts.berlios.de/
Source0:        http://download.berlios.de/gringotts/%{name}-%{version}.tar.bz2

BuildRequires:  libmcrypt-devel
BuildRequires:  mhash-devel
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel

%description
A small, easy-to-use, thread-safe C library originally developed for
Gringotts; its purpose is to encapsulate data (generic: ASCII but
also binary data) in an encrypted and compressed file. It uses strong
encryption algorithms, to ensure the data is as safe as possible, and
allows the user to have the complete control over all the algorithms
used in the process.

%package -n %{libname}
Summary:        A data encapsulation and encryption library
Group:          System/Libraries

%description -n %{libname}
A small, easy-to-use, thread-safe C library originally developed for
Gringotts; its purpose is to encapsulate data (generic: ASCII but
also binary data) in an encrypted and compressed file. It uses strong
encryption algorithms, to ensure the data is as safe as possible, and
allows the user to have the complete control over all the algorithms
used in the process.

%package -n %{develname}
Summary:        Development files for the libgringotts library
Group:          Development/C

Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package provides development files for the libgringotts library.

%package -n %{staticdevelname}
Summary:        Static development files for the libgringotts library
Group:          Development/C

Requires:       %{develname} = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}

%description -n %{staticdevelname}
This package provides static development files for the libgringotts
library.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

# remove installed doc files
rm -rf %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README TODO docs/manual.htm
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}.la
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{staticdevelname}
%{_libdir}/%{name}.a



%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.2.1-8.mga6
+ Revision: 936749
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-7.mga5
+ Revision: 744810
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-6.mga5
+ Revision: 681508
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-5.mga4
+ Revision: 507062
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-4.mga3
+ Revision: 357382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 29 2011 barjac <barjac> 1.2.1-3.mga2
+ Revision: 174309
- Bump release to one above mga1
- Bump release above 2010.2

* Tue Nov 29 2011 barjac <barjac> 1.2.1-1.mga2
+ Revision: 174118
- imported package libgringotts


* Tue Nov 29 2011 Barry Jackson <zen25000[at]zen.co.uk> 1.2.1-1.mga2
- Imported libgringotts. Removed BR textutils (included in coreutils)

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdv2011.0
+ Revision: 609751
- rebuild

* Mon Jan 18 2010 JM-CM-)rM-CM-4me Brenier <incubusss@mandriva.org> 1.2.1-1mdv2010.1
+ Revision: 492926
- import libgringotts


